/****************************************************************
 *                                                              *
 *  Copyright (C) 2003,2005 Christoffer Owe                     *
 *  For conditions of distribution and use, see License.txt     *
 *                                                              *
 ****************************************************************/

#ifndef __GC_EVENT
#define __GC_EVENT

#include "gedcom.h"
#include "common.h"
#include "gc_date.h"
#include "gc_place.h"
#include "gc_source.h"

class EVENTTYPE
{
public:
	int tag;
	int roles;
	STRING description;
	static int Find(VECTOR<EVENTTYPE*>&,int tag,TCHAR* descr);
};

class GC_EVENT
{
public:
	int Tag;
	long EventType;
	GC_DATE Date;
	GC_PLACE Place;
	GC_ADDRESS Address;
	IDLIST SourcerefIDs;
	GC_NOTE Note;

	BOOL Import(GEDCOMFILE& file,VECTOR<EVENTTYPE*>& Eventtypes,VECTOR<GC_SOURCE*>& Sources,VECTOR<GC_SOURCECITE*>& Sourcerefs,int iRoles);
	BOOL ImportAddress(GEDCOMFILE& file,VECTOR<EVENTTYPE*>& Eventtypes);
};

#endif