/****************************************************************
 *                                                              *
 *  Copyright (C) 2003,2005 Christoffer Owe                     *
 *  For conditions of distribution and use, see License.txt     *
 *                                                              *
 ****************************************************************/

#ifndef __GC_FAMILY
#define __GC_FAMILY

#include "gedcom.h"
#include "common.h"
#include "gc_event.h"

class GC_FAMILY
{
public:
	TCHAR Husb[XREFSIZE+1];
	TCHAR Wife[XREFSIZE+1];
	IDTABLE Children;
	VECTOR<GC_EVENT*> Events;
	IDLIST SourcerefIDs;
	VECTOR<GC_NOTE*> Notes;
	GC_CHANGE Change;

	BOOL Import(GEDCOMFILE&,VECTOR<EVENTTYPE*>&,VECTOR<GC_SOURCE*>&,VECTOR<GC_SOURCECITE*>&);
};

#endif