/****************************************************************
 *                                                              *
 *  Copyright (C) 2003-2006 Christoffer Owe                     *
 *  For conditions of distribution and use, see License.txt     *
 *                                                              *
 ****************************************************************/

#ifndef __GC_PERSON
#define __GC_PERSON

#include "gedcom.h"
#include "common.h"
#include "gc_name.h"
#include "gc_date.h"
#include "gc_event.h"
#include "gc_attribute.h"
#include "gc_object.h"
#include "gc_todo.h"

class GC_PERSON
{
public:
	long NewID;
	char Sex;
	VECTOR<GC_NAME*> Names;
	VECTOR<GC_EVENT*> Events;
	VECTOR<GC_ATTRIBUTE*> Attributes;
	IDLIST SourcerefIDs;
	VECTOR<GC_NOTE*> Notes;
	GC_STRING Comments;
	VECTOR<GC_OBJECT*> Objects;
	GC_CHANGE Change;

	BOOL Import(GEDCOMFILE&,VECTOR<EVENTTYPE*>&,VECTOR<GC_SOURCE*>&,VECTOR<GC_SOURCECITE*>&,VECTOR<GC_TODO*>&);
	inline void SetID(long id){NewID=id;}
};

#endif